import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { EpochMillis } from "./EpochMillis";
import type { FileTag } from "./FileTag";
import type { FolderPath } from "./FolderPath";
import type { FolderPermissionList } from "./FolderPermissionList";
import type { SecretApiKey } from "./SecretApiKey";
import type { TagPermissions } from "./TagPermissions";
import type { UserSummary } from "./UserSummary";
export declare type ApiKeyDetails_SecretApiKey_ = {
    apiKey: SecretApiKey;
    defaultFolder: FolderPath | null;
    defaultTags: Array<FileTag> | null;
    description: ApiKeyDescription;
    folderPermissions: FolderPermissionList | null;
    requireJWT: boolean;
    tagPermissions: TagPermissions | null;
    createdAt: EpochMillis;
    createdBy: UserSummary;
};
