/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { EpochMillis } from "./EpochMillis";
import type { FileTag } from "./FileTag";
import type { FolderPath } from "./FolderPath";
import type { FolderPermissionList } from "./FolderPermissionList";
import type { PublicApiKey } from "./PublicApiKey";
import type { TagPermissions } from "./TagPermissions";
import type { UserSummary } from "./UserSummary";

export type ApiKeyDetails_PublicApiKey_ = {
  apiKey: PublicApiKey;
  defaultFolder: FolderPath | null;
  defaultTags: Array<FileTag> | null;
  description: ApiKeyDescription;
  folderPermissions: FolderPermissionList | null;
  requireJWT: boolean;
  tagPermissions: TagPermissions | null;
  createdAt: EpochMillis;
  createdBy: UserSummary;
};
